GmagickPixel::getcolorcount
GmagickPixel::setcolor
GmagickPixel
PHP Manual

# GmagickPixel::getcolorvalue

Gets the normalized value of the provided color channel

### Description

public float GmagickPixel::getcolorvalue ( int `$color` )

Retrieves the value of the color channel specified, as a floating-point number between 0 and 1.

### Parameters

`color`

  The channel to check, specified as one of the Gmagick channel constants.

### Return Values

The value of the channel, as a normalized floating-point number, throwing GmagickPixelException on error.